@import 'reset';


@font-face{

	font-family: "karla";
	src:url("../fonts/karla/Karla-Regular.ttf");
	font-style: normal;
	font-size: normal;
}

html{

	font-size: 14px;
}

body{

	a{

		color: blue;
	}

	main{

		#poster{

			padding: 0 20% 0 0;

			.resources{

				.resource{

					margin: 0 0 2rem 0;

					header{

						margin: 0 0 1rem 0;
					}

					.images{

						.image{

							width: 100%;
							padding: 0 1rem 0 0;

							img{

								width: 100%;
							}
						}
					}
				}
			}
		}

		#pad,
		#buttons{

			font-family: "karla";
		}

		#pad{

			width: 20%;
			background-color: white;
			position: fixed;
			top: 0;
			right: 0;
			border: solid 1px;


			iframe{

				width: 100%;
				height: 100vh;

			}
		}

		#buttons{

			width: calc(20% - 2rem);
			position: fixed;
			bottom: 0;
			right: 0;
			padding: 0.75rem 1.5rem 1rem 1rem;
			text-align: right;
			border-radius: 1rem;
			margin: 1rem;
			border-color: blue;
			color: blue;

			.button{

				padding: 0.5rem;
				background-color: white;
				border: solid 1px;
				text-align: center;
				display: inline-block;
				margin: 0 0 0.75rem 0;
				width: 5rem;
				background-color: white;
				border-radius: 1rem;
				border-color: blue;
				margin-right: 0.5rem; 

			}

			.button:not(:last-of-type){

			}



			form{

				padding: 0.75rem 0.5rem 1rem 0.5rem;
				display: flex;
				flex-wrap: wrap;
				align-items: flex-end;
				border-radius: 1rem;
				background-color: lightyellow;

				>div{

					width: calc(100% - 5rem);
					padding: 0 1rem 0 0;

					div{

						display: flex;
						flex-wrap: wrap;
						width: 100%;


						label{

							width: 30%;
							text-align: left;
							margin: 0 0 0.25rem 0;
						}

						input,
						textarea{

							border: 0;
							border-bottom: solid 1px blue;
							width: 100%;
							background-color: lightyellow;

						}

						input,
						textarea:not(:last-of-type){

							margin: 0 0 0.5rem 0;
						}
					}




				}

				[type="submit"]{

					font-family: "karla";
					font-size: 1rem;
					padding: 0.25rem;
					margin: 0 0 0 0;
					color: blue;
				}
			}

			form.hidden,
			.hidden{

				display: none;
			}
		}
	}
}

/* HISTORY */

.history{

	font-size: 2rem;
	padding: 1rem;

	main{

		.versions{

			a{

				display: block;
			}

		}
	}
}